Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.fill
Class JRContinuationSubreportRunner

    java.lang.Object
      net.sf.jasperreports.engine.fill.JRSubreportRunnable
          net.sf.jasperreports.engine.fill.JRContinuationSubreportRunner

All Implemented Interfaces:
  java.lang.Runnable, JRSubreportRunner

    public class JRContinuationSubreportRunner

extends JRSubreportRunnable
implements JRSubreportRunner

Implemetation of `JRSubreportRunner` using Javaflow continuations.

Version:
  $Id: JRContinuationSubreportRunner.java 3034 2009-08-27 11:58:04Z teodord $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Constructor Summary
`JRContinuationSubreportRunner(JRFillSubreport fillSubreport)`

Method Summary
`void` | `cancel()` Cancels the current fill process.
`boolean` | `isFilling()` Decides whether the subreport filling has ended or not.
`void` | `reset()` Resets the runner, preparing it for a new fill.
`JRSubreportRunResult` | `resume()` Resumes the filling of a subreport.
`JRSubreportRunResult` | `start()` Starts to fill the subreport.
`void` | `suspend()` Suspends the current fill.

Methods inherited from class net.sf.jasperreports.engine.fill.JRSubreportRunnable
`isRunning, run, runResult`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JRContinuationSubreportRunner

    public JRContinuationSubreportRunner(JRFillSubreport fillSubreport)

Method Detail

### isFilling

    public boolean isFilling()

  Description copied from interface: `JRSubreportRunner`
  Decides whether the subreport filling has ended or not.

  Specified by:
    `isFilling` in interface `JRSubreportRunner`
  Returns:
    `true` if and only if the subreport filling has not ended

### start

    public JRSubreportRunResult start()

  Description copied from interface: `JRSubreportRunner`
  Starts to fill the subreport.

  This method is always called by a thread owning the lock on the subreport filler.

  Specified by:
    `start` in interface `JRSubreportRunner`
  Returns:
    the result of the fill process

### resume

    public JRSubreportRunResult resume()

  Description copied from interface: `JRSubreportRunner`
  Resumes the filling of a subreport.

  This method is called after the fill has been suspended by `suspend` and the subreport should continue on the new page.

  This method is always called by a thread owning the lock on the subreport filler.

  Specified by:
    `resume` in interface `JRSubreportRunner`
  Returns:
    the result of the fill process

### reset

    public void reset()

  Description copied from interface: `JRSubreportRunner`
  Resets the runner, preparing it for a new fill.

  Specified by:
    `reset` in interface `JRSubreportRunner`

### cancel

    public void cancel()

  Description copied from interface: `JRSubreportRunner`
  Cancels the current fill process.

  This method is called when a subreport is placed on a non splitting band and needs to rewind.

  This method is always called by a thread owning the lock on the subreport filler.

  Specified by:
    `cancel` in interface `JRSubreportRunner`

### suspend

    public void suspend()

  Description copied from interface: `JRSubreportRunner`
  Suspends the current fill.

  This method is called when the subreport reaches the end of a page and needs to wait for the master to create a new page.

  This method is always called by a thread owning the lock on the subreport filler.

  Specified by:
    `suspend` in interface `JRSubreportRunner`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com